Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
New Contributor
Posts: 4
Registered: ‎02-17-2010
My Device: Not Specified

JavaLoader error

I am trying to load my application using JavaLoader and a JAD file. I have successfully done this with one application, but when I try a different application I get this error.

 

"Error: file is not a valid Java code file"

 

and it won't load. The applications were both built using an Ant build script and only differ on the details about the cod-files and the name of the application. On top of that I can load the application using the JAD by putting them on a website and downloading the files just fine.

 

What is that error message trying to tell me? Does JavaLoader look at different attributes in the JAD file than the device does while downloading the files?

 

I have tried using the JavaLoader from JDE 4.7 (what I compiled the app with), JDE 5.0 (what the device has), and also JDE 4.2.

 

Thanks,

David

BlackBerry Development Advisor
Posts: 15,078
Registered: ‎07-09-2008
My Device: BlackBerry Passport
My Carrier: Bell

Re: JavaLoader error

Do you see the same results when building the application using the BlackBerry JDE or BlackBerry Java Plug-in for Eclipse (instead of the ant build script)?

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker